Bug 253098 - RFE: Allow virtual networks to use public IP ranges
Summary: RFE: Allow virtual networks to use public IP ranges
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Berrangé
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-16 22:25 UTC by David Mueller
Modified: 2008-01-22 15:38 UTC (History)
0 users

Fixed In Version: 0.5.3-1.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-22 15:38:36 UTC


Attachments (Terms of Use)

Description David Mueller 2007-08-16 22:25:58 UTC
When attempting to create a new Virtual Network, virt-manager 0.4.0 only allows
networks to be created using private IP address ranges.  Public IP ranges should
be allowed (perhaps with a warning/confirmation), especially when creating
isolated virtual networks.

Comment 1 Daniel Berrangé 2007-08-23 02:38:46 UTC
Change to allow public addresses (with a confirmation dialog) is now upstream.

http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=af3dcc2d8e57

Comment 2 Fedora Update System 2008-01-11 22:26:55 UTC
virt-manager-0.5.3-1.fc7, gtk-vnc-0.3.2-1.fc7, python-virtinst-0.300.2-1.fc7, virt-viewer-0.0.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager gtk-vnc python-virtinst virt-viewer'

Comment 3 Fedora Update System 2008-01-22 15:38:20 UTC
virt-manager-0.5.3-1.fc7, gtk-vnc-0.3.2-1.fc7, python-virtinst-0.300.2-1.fc7, virt-viewer-0.0.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.